[visit-users] Silo problems on Ubuntu 8.10

Jonathan Claridge onath at u.washington.edu
Wed Apr 8 14:14:49 EDT 2009


Hi Hank,

Thanks for the quick reply!  I'm a numerical analyst turned accidental 
programmer, so common sense solutions are quite helpful.

For using existing Silo files, HDF5 was indeed the problem.  Apparently 
globe.silo requires HDF5, but I can open curv2d.silo just fine.

I also looked into the library issue for making the .silo files myself, 
just out of curiosity.  While I couldn't get it to work all the way 
through, I did make some headway by replacing
#include <string>
with
#include <string.h>
and by manually adding the line
#include <stdlib.h>
Then I start running into errors along the lines of
galaxy.C:108: error: expected unqualified-id before ‘&’ token


More information about the visit-users mailing list